Subject: Re: bug#38418: EXWM fails to start after a "reconfigure": split-string error

From: Maxim Cournoyer <[email-masked]>
Date: Sat, 07 Dec 2019 13:35:08 +0900

Hi Pierre,

Pierre Neidhardt <[email-masked]> writes:

> I reconfigured my Guix system on commit 0d455d9	(Nov 22), and since then I can't
> login into EXWM from GDM.  I get
>
> split-string: wrong type argument: stringp nil
>
> if I recall correctly.

This looks like a symptom of EMACSLOADPATH not being set in the profile
used by EXWM (your system profile, maybe?).  Perhaps installing Emacs
alongside EXWM (in the same profile) would resolve your issue?

HTH,

Maxim